---
search:
  tags:
    - Organizations
    - PUT
seo:
  description: >-
    Associates an existing user with an… Reference for the PUT
    /api/v1/{team_slug}/{app_slug}/organisations/{org_id}/user endpoint in the
    Management API.
sidebar:
  label: Add user to organization
  badge: PUT
title: Add user to organization
type: openapi-operation
---
Associates an existing user with an organization, assigning them a custom role and access level (default/admin/super-admin).

`PUT /api/v1/{team_slug}/{app_slug}/organisations/{org_id}/user`

**Request body** (`application/json`, required)

User details

- `custom_role_id` (string, required)
- `level` (string, required)
- `user_id` (string, required)

Request body example:

```json
{
  "custom_role_id": "string",
  "level": "default",
  "user_id": "string"
}
```

**Responses**

- `200` — User added to organization successfully
- `400` — Invalid request (e.g. bad payload, validation error)
- `401` — Unauthorized access
- `404` — Organization or user or custom role not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}
```
